Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/hunter/company-enrichment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"domain": "hunter.io"
}'curl --request POST \
--url https://api.aisa.one/apis/v1/hunter/company-enrichment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "hunter.io"
}
'import requests
url = "https://api.aisa.one/apis/v1/hunter/company-enrichment"
payload = { "domain": "hunter.io" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: 'hunter.io'})
};
fetch('https://api.aisa.one/apis/v1/hunter/company-enrichment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/hunter/company-enrichment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain' => 'hunter.io'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/hunter/company-enrichment"
payload := strings.NewReader("{\n \"domain\": \"hunter.io\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/hunter/company-enrichment")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domain\": \"hunter.io\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/hunter/company-enrichment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain\": \"hunter.io\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"geo": {
"lat": 123,
"lng": 123,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"stateCode": "<string>",
"postalCode": "<string>",
"streetName": "<string>",
"subPremise": "<string>",
"countryCode": "<string>",
"streetNumber": "<string>",
"streetAddress": "<string>"
},
"logo": "<string>",
"name": "<string>",
"site": {
"phoneNumbers": [
"<string>"
],
"emailAddresses": [
"<string>"
]
},
"type": "<string>",
"phone": "<string>",
"domain": "<string>",
"parent": {
"domain": "<string>"
},
"ticker": "<string>",
"metrics": {
"employees": "<string>",
"raised": 123,
"marketCap": "<string>",
"alexaUsRank": 123,
"trafficRank": "<string>",
"annualRevenue": "<string>",
"fiscalYearEnd": "<string>",
"alexaGlobalRank": 123,
"estimatedAnnualRevenue": "<string>"
},
"twitter": {
"id": 123,
"bio": "<string>",
"site": "<string>",
"avatar": "<string>",
"handle": "<string>",
"location": "<string>",
"followers": 123,
"following": 123
},
"youtube": {
"handle": "<string>"
},
"category": {
"sector": "<string>",
"industry": "<string>",
"sicCode": "<string>",
"gicsCode": "<string>",
"naicsCode": "<string>",
"sic4Codes": [
"<string>"
],
"naics6Codes": [
"<string>"
],
"subIndustry": "<string>",
"industryGroup": "<string>",
"naics6Codes2022": [
"<string>"
]
},
"facebook": {
"likes": 123,
"handle": "<string>"
},
"linkedin": {
"handle": "<string>"
},
"location": "<string>",
"instagram": {
"handle": "<string>"
},
"crunchbase": {
"handle": "<string>"
},
"description": "<string>",
"identifiers": {
"usEIN": "<string>"
},
"tags": [
"<string>"
],
"tech": [
"<string>"
],
"timeZone": "<string>",
"indexedAt": "<string>",
"legalName": "<string>",
"utcOffset": 123,
"companyType": "<string>",
"foundedYear": 123,
"domainAliases": [
"<string>"
],
"emailProvider": "<string>",
"fundingRounds": [
{
"date": "<string>",
"type": "<string>",
"amount": "<string>",
"investors": [
"<string>"
]
}
],
"techCategories": [
"<string>"
],
"ultimateParent": {
"domain": "<string>"
}
},
"meta": {
"domain": "<string>"
}
}Hunter
Company Enrichment
<!-- aisa-pricing:start -->
Usage-based billing; Default request estimate: $0.0043 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ.
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
hunter
/
company-enrichment
Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/hunter/company-enrichment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"domain": "hunter.io"
}'curl --request POST \
--url https://api.aisa.one/apis/v1/hunter/company-enrichment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "hunter.io"
}
'import requests
url = "https://api.aisa.one/apis/v1/hunter/company-enrichment"
payload = { "domain": "hunter.io" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: 'hunter.io'})
};
fetch('https://api.aisa.one/apis/v1/hunter/company-enrichment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/hunter/company-enrichment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain' => 'hunter.io'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/hunter/company-enrichment"
payload := strings.NewReader("{\n \"domain\": \"hunter.io\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/hunter/company-enrichment")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domain\": \"hunter.io\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/hunter/company-enrichment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain\": \"hunter.io\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"geo": {
"lat": 123,
"lng": 123,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"stateCode": "<string>",
"postalCode": "<string>",
"streetName": "<string>",
"subPremise": "<string>",
"countryCode": "<string>",
"streetNumber": "<string>",
"streetAddress": "<string>"
},
"logo": "<string>",
"name": "<string>",
"site": {
"phoneNumbers": [
"<string>"
],
"emailAddresses": [
"<string>"
]
},
"type": "<string>",
"phone": "<string>",
"domain": "<string>",
"parent": {
"domain": "<string>"
},
"ticker": "<string>",
"metrics": {
"employees": "<string>",
"raised": 123,
"marketCap": "<string>",
"alexaUsRank": 123,
"trafficRank": "<string>",
"annualRevenue": "<string>",
"fiscalYearEnd": "<string>",
"alexaGlobalRank": 123,
"estimatedAnnualRevenue": "<string>"
},
"twitter": {
"id": 123,
"bio": "<string>",
"site": "<string>",
"avatar": "<string>",
"handle": "<string>",
"location": "<string>",
"followers": 123,
"following": 123
},
"youtube": {
"handle": "<string>"
},
"category": {
"sector": "<string>",
"industry": "<string>",
"sicCode": "<string>",
"gicsCode": "<string>",
"naicsCode": "<string>",
"sic4Codes": [
"<string>"
],
"naics6Codes": [
"<string>"
],
"subIndustry": "<string>",
"industryGroup": "<string>",
"naics6Codes2022": [
"<string>"
]
},
"facebook": {
"likes": 123,
"handle": "<string>"
},
"linkedin": {
"handle": "<string>"
},
"location": "<string>",
"instagram": {
"handle": "<string>"
},
"crunchbase": {
"handle": "<string>"
},
"description": "<string>",
"identifiers": {
"usEIN": "<string>"
},
"tags": [
"<string>"
],
"tech": [
"<string>"
],
"timeZone": "<string>",
"indexedAt": "<string>",
"legalName": "<string>",
"utcOffset": 123,
"companyType": "<string>",
"foundedYear": 123,
"domainAliases": [
"<string>"
],
"emailProvider": "<string>",
"fundingRounds": [
{
"date": "<string>",
"type": "<string>",
"amount": "<string>",
"investors": [
"<string>"
]
}
],
"techCategories": [
"<string>"
],
"ultimateParent": {
"domain": "<string>"
}
},
"meta": {
"domain": "<string>"
}
}Request contract
- Method and path: POST /apis/v1/hunter/company-enrichment
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/hunter/company-enrichment - Runtime facts: 9d6cd55f4883e0d802c7a28091c00738a9992688a6c242f0fae404a62c5146a1
{
"operationId": "hunter.company-enrichment",
"method": "POST",
"path": "/apis/v1/hunter/company-enrichment",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"domain"
],
"properties": {
"domain": {
"type": "string",
"examples": [
"hunter.io"
],
"description": "The domain name for which to retrieve company information. Must be a bare domain (e.g., 'hunter.io') without protocol prefix (https://) or www subdomain."
},
"clearbit_format": {
"type": "string",
"examples": [
"1"
],
"description": "When provided, the response will be formatted according to Clearbit's schema."
}
}
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0043,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.0043 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.0043
- Declared unit rate (USD): 1e-06
- Billing unit: provider_credit
- Cost contract: response_units
- Published reference multiplier: 1.0
- Declared maximum count/units: 10000000
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The domain name for which to retrieve company information. Must be a bare domain (e.g., 'hunter.io') without protocol prefix (https://) or www subdomain.
Example:
"hunter.io"
When provided, the response will be formatted according to Clearbit's schema.
Example:
"1"